Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 104145 - panelDeactivated not called when corresponding window is closed
panelDeactivated not called when corresponding window is closed
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Navigator
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
perfleak
: PERFORMANCE
Depends on: 104229
Blocks: 123530 123003
  Show dependency treegraph
 
Reported: 2007-05-17 08:29 UTC by Peter Zavadsky
Modified: 2008-12-22 13:35 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Zavadsky 2007-05-17 08:29:05 UTC
The case:
1) Open VW project,
2) The Page is opened and the designer tab is selected,
3) The outline inside navigator is provided
4) Go to project tab, and close the VW project
5) The designer gets closed
6) But the outline remains (its nodes are changed, but not because of
notifications from navigator.

It is expected that the panelDeactivated be called, which isn't.
It creates a memory leak in the outline (after closing the project) - missed the
cleaning in the panelDeactivated method.
Comment 1 Peter Zavadsky 2007-05-17 08:31:52 UTC
CC interested parties, also added PERFORMANCE keyword -> memory leak.
Comment 2 David Simonek 2007-08-16 21:52:01 UTC
I believe this is fixed along with the fix of 104229. Navigator now listen to node destroy, so it should update
correctly and call panelDeactivated.
Comment 3 Peter Zavadsky 2007-12-06 23:08:35 UTC
It is not fixed now, or it came back.

The scenario now. 
1) Open the VW project, 
2) open a designer, that opens the navigator and outline in it, and panelActivated is called
3) close the designer, that closes also the navigator, but panelDeactivated method is not called.

That causes memory leak.
Comment 4 Quy Nguyen 2008-01-14 23:04:06 UTC
This should be fixed for NB 6.1.  It causes a significant memory leak in visual web (~20 MB of memory on a project with
2 pages), so I am upgrading this to P2.
Comment 5 David Simonek 2008-01-16 15:57:42 UTC
working on it...
Comment 6 David Simonek 2008-01-17 11:35:44 UTC
fixed and test implemented:

Checking in test/unit/src/org/netbeans/modules/navigator/NavigatorTCTest.java;
/cvs/core/navigator/test/unit/src/org/netbeans/modules/navigator/NavigatorTCTest.java,v  <--  NavigatorTCTest.java
new revision: 1.17; previous revision: 1.16
done
Checking in test/unit/src/org/netbeans/modules/navigator/NavigatorControllerTest.java;
/cvs/core/navigator/test/unit/src/org/netbeans/modules/navigator/NavigatorControllerTest.java,v  <-- 
NavigatorControllerTest.java
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/modules/navigator/NavigatorController.java;
/cvs/core/navigator/src/org/netbeans/modules/navigator/NavigatorController.java,v  <--  NavigatorController.java
new revision: 1.37; previous revision: 1.36
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo